---
type: api
title: Create a VectorDB project
description: Create a VectorDB project. The response will include the created project details, such as the project ID, the credentials to access the project, and the endpoints to access different apps. The credentials can be regenerated at any time using the _reset-credentials endpoint.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/operation/operation-createvectordbproject
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/operation/operation-createvectordbproject
products:
  - Elastic Cloud Serverless
---

# Create a VectorDB project

- Server: `https://api.elastic-cloud.com`

## Paths

- `POST` `/api/v1/serverless/projects/vectordb`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/cloud-serverless/authentication#apikey)

## Description

Create a VectorDB project. The response will include the created project details, such as the project ID, the credentials to access the project, and the endpoints to access different apps. The credentials can be regenerated at any time using the _reset-credentials endpoint.

## Query String Parameters

- `exclude_credentials` (boolean)
  If true, the username and password fields in the response credentials are set to empty strings and no usable credentials are returned. Credentials can be retrieved later using the _reset-credentials endpoint.

## Request Body

`application/json`

Configuration of the VectorDB project to create.

- `name` (string · min: 1 · max: 255) — required
  Descriptive name for a project.
- `alias` (string · min: 1 · max: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$) — optional
  A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
- `region_id` (string) — required
  Unique human-readable identifier for a region in Elastic Cloud.
- `search_lake` ({} VectorDBSearchLake) — optional
  Configuration for entire set of capabilities that make the data searchable in VectorDB.
  - `search_power` (integer · min: 100 · max: 1900 · × 100) — optional
    Controls how fast searches are against your project data. Must be a multiple of 100.
- `traffic_filters` ([] TrafficFilters) — optional
  traffic filters IDs
  - `id` (string) — required
    traffic filter ID
- `linked` ({} CreateLinkedRequest) — optional
  Configuration for linked projects associated with this project
  - `projects` (map string to CreateLinkedProjectRequest) — required
    Map values ({} CreateLinkedProjectRequest)
    - `type` (enum ProjectType) — required
      The type of the linked project
      Values: `elasticsearch`, `observability`, `security`, `vectordb`
- `metadata` ({} ProjectMetadataRequest) — optional
  Metadata request for a project with tags.
  - `tags` (ProjectTags) — required
    Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.

## Responses

#### `201`

The created VectorDB project.

`application/json`

- `id` (string · pattern: ^[a-z0-9]{32}$)
  ID of the project.
- `name` (string · min: 1 · max: 255)
  Descriptive name for a project.
- `alias` (string · min: 8 · max: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$)
  A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
- `region_id` (string)
  Unique human-readable identifier for a region in Elastic Cloud.
- `metadata` ({} ProjectMetadata)
  Additional details about the project.
  - `created_at` (string)
    Date and time when the project was created.
  - `created_by` (string)
    ID of the user.
  - `organization_id` (string)
    The Organization ID who owns the project.
  - `suspended_at` (string)
    Date and time when the project was suspended.
  - `suspended_reason` (string)
    Reason why the project was suspended.
  - `tags` (ProjectTags)
    Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
  - `system_tags` (ProjectSystemTags)
    System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
- `cloud_id` (string)
  The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
- `traffic_filters` ([] TrafficFilters)
  traffic filters IDs
  - `id` (string)
    traffic filter ID
- `linked` ({} LinkConfiguration)
  Configuration for projects linked to this project
  - `projects` (map string to LinkedProject)
    Map values ({} LinkedProject)
    - `status` (enum LinkedProjectStatus)
      The state of the linked project.
      Values: `enabled`, `suspended`, `deleted`
    - `type` (enum ProjectType)
      The type of the linked project
      Values: `elasticsearch`, `observability`, `security`, `vectordb`
- `type` (enum)
  the type of the project
  Values: `vectordb`
- `endpoints` ({} VectorDBProjectEndpoints)
  The endpoints to access the different apps of the project.
  - `elasticsearch` (string)
    The endpoint to access elasticsearch.
  - `kibana` (string)
    The endpoint to access kibana.
- `private_endpoints` ({} VectorDBProjectPrivateEndpoints)
  Private endpoints (URLs) for VectorDB projects when PrivateLink is enabled.
  - `elasticsearch` (string)
    The PrivateLink endpoint URL to access elasticsearch.
  - `kibana` (string)
    The PrivateLink endpoint URL to access kibana.
- `search_lake` ({} VectorDBSearchLake)
  Configuration for entire set of capabilities that make the data searchable in VectorDB.
  - `search_power` (integer · min: 100 · max: 1900 · × 100)
    Controls how fast searches are against your project data. Must be a multiple of 100.
- `credentials` ({} ProjectCredentials)
  Basic auth credentials to access the Elasticsearch API.
  - `username` (string)
    Basic auth username that can be used to access the Elasticsearch API.
  - `password` (string)
    Basic auth password that can be used to access the Elasticsearch API.
##### Response Headers

- `ETag` (string)

#### `400`

Bad request

`application/json`

- `errors` ([] ErrorResponse)
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
#### `422`

Unprocessable entity

`application/json`

- `errors` ([] ErrorResponse)
  - `message` (string)
    A human-readable message of the error.
  - `code` (string)
    An identifier for this type of error.
## Code Examples

#### Console

```console
POST /api/v1/serverless/projects/vectordb
```

#### curl

```curl
curl -X POST "https://api.elastic-cloud.com/api/v1/serverless/projects/vectordb"
```

